Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/physfs: new package

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Tue, 18 Nov 2014 11:05:53 -0800

---
 testing/physfs/APKBUILD          | 46 ++++++++++++++++++++++++++++++++++++++++
 testing/physfs/silence-gcc.patch | 19 +++++++++++++++++
 2 files changed, 65 insertions(+)
 create mode 100644 testing/physfs/APKBUILD
 create mode 100644 testing/physfs/silence-gcc.patch
diff --git a/testing/physfs/APKBUILD b/testing/physfs/APKBUILD
new file mode 100644
index 0000000..5bca842
--- /dev/null
+++ b/testing/physfs/APKBUILD
_at_@ -0,0 +1,46 @@
+# Contributor:
+# Maintainer:
+pkgname=physfs
+pkgver=2.0.3
+pkgrel=0
+pkgdesc="PhysicsFS is a library to provide abstract access to various archives"
+url="http://icculus.org/physfs/"
+arch="all"
+license="custom zlib"
+depends=""
+depends_dev="zlib-dev"
+makedepends="$depends_dev cmake doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://icculus.org/physfs/downloads/physfs-$pkgver.tar.bz2
+	silence-gcc.patch"
+
+_builddir="$srcdir"/physfs-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir" && mkdir bld && cd bld && \
+	cmake  -DCMAKE_INSTALL_PREFIX=/usr ../ && make || return 1
+}
+
+package() {
+	cd "$_builddir" && \
+	install -d "$pkgdir"/usr/share/licenses/"$pkgname" &&  \
+	install -m644 LICENSE.txt "$pkgdir"/usr/share/licenses/"$pkgname"/ && \
+	cd bld && make install DESTDIR="$pkgdir" || return 1
+}
+
+md5sums="c2c727a8a8deb623b521b52d0080f613  physfs-2.0.3.tar.bz2
+a2a01b5f5ddf9f6a37f8a8289edd69cc  silence-gcc.patch"
+sha256sums="ca862097c0fb451f2cacd286194d071289342c107b6fe69079c079883ff66b69  physfs-2.0.3.tar.bz2
+9eaeedabe7df2b80ab8c4ae4114d9ecbb9ab2125c14e5ca56b24d21387e06178  silence-gcc.patch"
+sha512sums="47eff0c81b8dc3bb526766b0a8ad2437d2951867880116d6e6e8f2ec1490e263541fb741867fed6517cc3fa8a9c5651b36e3e02a499f19cfdc5c7261c9707e80  physfs-2.0.3.tar.bz2
+4e18558d23982d71aac5f6509bd771f65dd52d5e75d969d0ac0561e34a58cd183973157b5fd7f713ba4c32e3b30c5f5abc97de571cf301aad98538cc016154b4  silence-gcc.patch"
diff --git a/testing/physfs/silence-gcc.patch b/testing/physfs/silence-gcc.patch
new file mode 100644
index 0000000..d4318f6
--- /dev/null
+++ b/testing/physfs/silence-gcc.patch
_at_@ -0,0 +1,19 @@
+commit e64432ac6dde3bf6943d8fc929241d57a961a673
+Author: Isaac Dunham <ibid.ag_at_gmail.com>
+Date:   Tue Nov 18 10:26:22 2014 -0800
+
+    shut up gcc: data_start is stored to, not used
+
+diff --git a/archivers/zip.c b/archivers/zip.c
+index 0e65453..611198d 100644
+--- a/archivers/zip.c
++++ b/archivers/zip.c
+_at_@ -1113,7 +1113,7 @@ static void *ZIP_openArchive(const char *name, int forWriting)
+ {
+     void *in = NULL;
+     ZIPinfo *info = NULL;
+-    PHYSFS_uint32 data_start;
++    PHYSFS_uint32 data_start = data_start;
+     PHYSFS_uint32 cent_dir_ofs;
+ 
+     BAIL_IF_MACRO(forWriting, ERR_ARC_IS_READ_ONLY, NULL);
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Nov 18 2014 - 11:05:53 GMT